Subject: Re: TurboMouse support in standard trees

From: Mark Abene <[email-masked]>
Date: Mon, 19 Jul 1999 19:20:07 -0400

I had submitted those changes to Benjamin, not sure what happened.
I've attached the proper mac_keyb.c file.  Replace your broken one and
recrunch the kernel, and you should be set.

-Mark

On Mon, Jul 19, 1999 at 08:18:09PM +0200, Lucas Vergnettes wrote:
> 
> Hello,
> 
> I went to compile linus' kernel 2.2.10 today. I was using the paul's 2.2.1
> realease before.
> 
> It looks like support for the turbomouse has gone :/
> I know that Benjamin made some changes to the driver, but it looks like they
> weren't adequate for the TurboMouse5.
> 
> After digging in the kernel messages, I found that the working kernel (2.2.1)
> prints at startup : 
> 
> ADB mouse at 3, handler 1 (TurboMouse 5)
> ADB mouse at 15, handler 1
> ADB keyboard at 2, handler set to 3
> 
> while the 2.2.10 (not working) prints :
> 
> ADB keyboard at 2, handler set to 5
> ADB mouse at 3, handler 1
> ADB mouse at 15, handler set to 4 (TurboMouse 5)
> 
> I remember hearing some stuff about this trackball having 2 adb adresses
> (which is shown), and needed to be passed a specific handler.
> 
> Unfortunately, I dunno anything about C :/
> 
> So Benjamin or other, if you read me, please help, I'm ready to do
> Beta-testing and crashing for having this *finally* working everywhere!
> 
> 
> Thanks
> Lucas